org.apache.cassandra.cache

## Interface CacheSize

- All Known Subinterfaces:
    ICache<K,V>
  All Known Implementing Classes:
    ChunkCache, ConcurrentLinkedHashCache, SerializingCache

      public interface CacheSize

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `capacity()`
    `void` | `setCapacity(long capacity)`
    `int` | `size()`
    `long` | `weightedSize()`

- - ### Method Detail

    - #### capacity

          long capacity()

    - #### setCapacity

          void setCapacity(long capacity)

    - #### size

          int size()

    - #### weightedSize

          long weightedSize()

Copyright © 2018 The Apache Software Foundation